Summary:	Clocks applications for GNOME
Summary(pl.UTF-8):	Aplikacje zegarów dla GNOME
Name:		gnome-clocks
Version:	3.38.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-clocks/3.38/%{name}-%{version}.tar.xz
# Source0-md5:	fac569962dab03d68c22f7f737d71194
URL:		https://wiki.gnome.org/Apps/Clocks
BuildRequires:	geoclue2-devel >= 2.4.0
BuildRequires:	geocode-glib-devel >= 1.0
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.58
BuildRequires:	gnome-desktop-devel >= 3.8.0
BuildRequires:	gsound-devel >= 0.98
BuildRequires:	gtk+3-devel >= 3.20.0
BuildRequires:	libgweather-devel >= 3.32.0
BuildRequires:	libhandy1-devel >= 1.0.0
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	python3 >= 1:3.2
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.24.0
BuildRequires:	vala-gsound >= 0.98
BuildRequires:	vala-libgweather >= 3.32.0
BuildRequires:	vala-libhandy1 >= 1.0.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	glib2 >= 1:2.58
Requires(post,postun):	gtk-update-icon-cache
Requires:	geoclue2 >= 2.4.0
Requires:	geocode-glib >= 1.0
Requires:	glib2 >= 1:2.58
Requires:	gnome-desktop >= 3.8.0
Requires:	gsound >= 0.98
Requires:	gtk+3 >= 3.20.0
Requires:	hicolor-icon-theme
Requires:	libgweather >= 3.32.0
Requires:	libhandy1 >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Clocks is a simple application to show the time, date and
alarms.

%description -l pl.UTF-8
GNOME Clocks to prosta aplikacja do wyświetlania czasu, daty i
alarmów.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS.md NEWS README.md
%attr(755,root,root) %{_bindir}/gnome-clocks
%{_datadir}/dbus-1/services/org.gnome.clocks.service
%{_datadir}/glib-2.0/schemas/org.gnome.clocks.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.clocks.search-provider.ini
%{_datadir}/metainfo/org.gnome.clocks.metainfo.xml
%{_desktopdir}/org.gnome.clocks.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.clocks.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.clocks-symbolic.svg
%changelog
* Sun Sep 20 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-clocks.git;a=log;h=master

* Sun Sep 20 2020 Jakub Bogusz <qboosh@pld-linux.org> e0b1489
- updated to 3.38.0

* Sun May 10 2020 Jakub Bogusz <qboosh@pld-linux.org> eeced9c
- updated to 3.36.2

* Fri Apr 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 0cc36f0
- updated to 3.36.0

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 9310ab7
- rebuild with libffi 3.3
- release 2 (by relup.sh)

* Thu Oct 24 2019 Jakub Bogusz <qboosh@pld-linux.org> ff73930
- updated to 3.34.0

* Tue Mar 13 2018 Marcin Banasiak <marcin.banasiak@gmail.com> c494006
- Update to 3.28.0

* Tue Oct 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 6298005
- Update to 3.26.1

* Wed Mar 22 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 1e85cef
- Update to 3.24.0

* Sat Jan 14 2017 Jakub Bogusz <qboosh@pld-linux.org> d8ed86b
- pl, completed dependencies, cleaned HighContrast icons remnants

* Fri Jan 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 4866ae0
- Update to 3.22.1

* Thu Oct 01 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 9f5272d
- Update to 3.18.0

* Sun Apr 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> f63ca13
- updated to 3.16.1

* Sat Mar 28 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 9123169
- Update to 3.16.0

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a2a342e
- updated gettext BR

* Mon Nov 03 2014 Marcin Banasiak <marcin.banasiak@gmail.com> a994815
- Update to 3.14.1

* Sun Mar 30 2014 Marcin Banasiak <marcin.banasiak@gmail.com> bd900ea
- Update to 3.12.0

* Sun Oct 20 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 491e0c2
- Update to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 34caf1f
- Update to 3.10.0

* Sat May 18 2013 Łukasz Kieś <kiesiu@pld-linux.org> a10a032
- updated to 3.8.2

* Mon Apr 22 2013 Łukasz Kieś <kiesiu@pld-linux.org> fe97e21
- updated to 3.8.1
- disable silent rules

